package com.gh.gamecenter.setting.compose.provider

import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IConfigProvider

@Route(path = RouteConsts.provider.config, name = "Config暴露服务")
class ConfigProviderImpl : IConfigProvider {
    override fun getTencentAppId(): String {
        return ""
    }

    override fun getWechatAppId(): String {
        return ""
    }

    override fun getWechatSecret(): String {
        return ""
    }

    override fun getUploadLimitSize(): Long {
        return 0L
    }

    override fun getSize(): Int {
        return 0
    }

    override fun getRatio(): Int {
        return 0
    }

    override fun getQuality(): Int {
        return 0
    }

    override fun getGif(): String {
        return ""
    }

    override fun getJpeg(): String {
        return ""
    }

    override fun getWebp(): String {
        return ""
    }

    override fun getGitThumb(): String {
        return ""
    }

    override fun getGifWaterMark(): String {
        return ""
    }

    override fun getQQ(): String {
        return ""
    }

    override fun getQuickLoginAppId(): String {
        return ""
    }

    override fun getQuickLoginAppKey(): String {
        return ""
    }

    override fun getWeiboAppKey(): String {
        return ""
    }

    override fun getNightModeSetting(): Boolean {
        return false
    }

    override fun init(context: Context?) {
        // Do nothing
    }
}